# Interface PlatformDialog

All Known Implementing Classes:
  `AwtDialog, JsDialog`

public interface PlatformDialog

## Method Summary

Modifier and Type
Method
Description
`Object`
`addButton(String name, String title)`
`Object`
`addCheckBox(String name, String title, int level, boolean isSelected)`
`Object`
`addSelectOption(String name, String label, String[] info, int iPt, boolean visible)`
`Object`
`addTextField(String name, String label, String value, String units, String defaultValue, boolean visible)`
`void`
`createTable(Object[][] data, String[] header, int[] widths)`
`void`
`dispose()`
`void`
`endLayout()`
`int`
`getSelectedIndex(Object combo1)`
`Object`
`getSelectedItem(Object combo)`
`String`
`getText(Object txt)`
`boolean`
`isSelected(Object chkbox)`
`boolean`
`isVisible()`
`void`
`pack()`
`void`
`repaint()`
`void`
`selectTableRow(int i)`
`void`
`setCellSelectionEnabled(boolean enabled)`
`void`
`setEnabled(Object btn, boolean b)`
/ get/set methods ////
`void`
`setFocus(boolean tf)`
`void`
`setIntLocation(int[] loc)`
`void`
`setPreferredSize(int width, int height)`
`void`
`setSelected(Object chkbox, boolean b)`
`void`
`setSelectedIndex(Object combo, int i)`
`void`
`setText(Object showHideButton, String label)`
`void`
`setTitle(String title)`
`void`
`setVisible(boolean visible)`
`void`
`startLayout()`

## Method Details

### setIntLocation

void setIntLocation(int[] loc)

### addButton

Object addButton(String name, String title)

### addCheckBox

Object addCheckBox(String name, String title, int level, boolean isSelected)

### addTextField

Object addTextField(String name, String label, String value, String units, String defaultValue, boolean visible)

### addSelectOption

Object addSelectOption(String name, String label, String[] info, int iPt, boolean visible)

### createTable

void createTable(Object[][] data, String[] header, int[] widths)

### setPreferredSize

void setPreferredSize(int width, int height)

### endLayout

void endLayout()

### startLayout

void startLayout()

### dispose

void dispose()

### pack

void pack()

### setEnabled

void setEnabled(Object btn, boolean b)
/ get/set methods ////

### getText

String getText(Object txt)

### setText

void setText(Object showHideButton, String label)

### getSelectedItem

Object getSelectedItem(Object combo)

### getSelectedIndex

int getSelectedIndex(Object combo1)

### setSelectedIndex

void setSelectedIndex(Object combo, int i)

### isVisible

boolean isVisible()

### setVisible

void setVisible(boolean visible)

### setFocus

void setFocus(boolean tf)

### isSelected

boolean isSelected(Object chkbox)

### setSelected

void setSelected(Object chkbox, boolean b)

### setCellSelectionEnabled

void setCellSelectionEnabled(boolean enabled)

### setTitle

void setTitle(String title)

### selectTableRow

void selectTableRow(int i)

### repaint

void repaint()